﻿using Syncfusion.UI.Xaml.Controls.Layout;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfAccordioncontrolSample
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            Employees = new ObservableCollection<Employee>();

            Employees.Add(new Employee() { Name="Home", OptionsLevel = true });

            Employees.Add(new Employee() { Name="Setup", OptionsLevel = false });

            //Employees.Add(new Employee() { Name = "Carl", OptionsLevel = true });

            //Employees.Add(new Employee() { Name = "Niko", OptionsLevel = false });
            //this.DataContext = this;
        }
        private ObservableCollection<Employee> employees;

        public ObservableCollection<Employee> Employees
        {

            get { return employees; }



            set { employees = value; }

        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            

            foreach(var item in accordion.Items)
            {
                if ((item as SfAccordionItem).IsEnabled == false)
                {

                    VisualStateManager.GoToState((item as SfAccordionItem), "CollapsedAppearance", true);
                
                }
                else
                {
                    VisualStateManager.GoToState((item as SfAccordionItem), "ExpandedAppearance", true);
                
                }
            }
        }

       
    }
    public class Employee
    {

        public string Name { get; set; }


        private bool Optionslevel;

        public bool OptionsLevel
        {
            get
            {
                return Optionslevel;
            }
            set
            {
                Optionslevel = value;
                NotifyPropertyChanged("OptionsLevel"); 
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
